<?php
namespace Brix\CelumConnect\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Asset
 */
class Asset extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * id
     *
     * @var string
     */
    protected $id = null;

    /**
     * downloadFormat
     *
     * @var string
     */
    protected $downloadFormat = null;

    /**
     * url
     * 
     * @var string
     */
    protected $url = null;
    
    /**
     * filename

     * 
     * @var string
     */
    protected $filename = '';
    
    /**
     * title
     * 
     * @var string
     */
    protected $title = '';
    
    /**
     * fileCategory
     * 
     * @var string
     */
    protected $fileCategory = '';
    
    /**
     * description
     * 
     * @var string
     */
    protected $description = '';
    
    /**
     * Returns the url
     * 
     * @return string url
     */
    public function getUrl()
    {
        return $this->url;
    }
    
    /**
     * Sets the url
     * 
     * @param \TYPO3\CMS\Extbase\Domain\Model\FileReference $url
     * @return void
     */
    public function setUrl($url)
    {
        $this->url = $url;
    }
    
    /**
     * Returns the filename
     * 
     * @return string $filename
     */
    public function getFilename()
    {
        return $this->filename;
    }
    
    /**
     * Sets the filename
     * 
     * @param string $filename
     * @return void
     */
    public function setFilename($filename)
    {
        $this->filename = $filename;
    }
    
    /**
     * Returns the title
     * 
     * @return string $title
     */
    public function getTitle()
    {
        return $this->title;
    }
    
    /**
     * Sets the title
     * 
     * @param string $title
     * @return void
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }
    
    /**
     * Returns the fileCategory
     * 
     * @return string $fileCategory
     */
    public function getFileCategory()
    {
        return $this->fileCategory;
    }
    
    /**
     * Sets the fileCategory
     * 
     * @param string $fileCategory
     * @return void
     */
    public function setFileCategory($fileCategory)
    {
        $this->fileCategory = $fileCategory;
    }
    
    /**
     * Returns the description
     * 
     * @return string $description
     */
    public function getDescription()
    {
        return $this->description;
    }
    
    /**
     * Sets the description
     * 
     * @param string $description
     * @return void
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * Returns the id
     *
     * @return string $id
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Sets the id
     *
     * @param string $id
     * @return void
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * Returns the downloadFormat
     *
     * @return string $downloadFormat
     */
    public function getDownloadFormat()
    {
        return $this->downloadFormat;
    }

    /**
     * Sets the downloadFormat
     *
     * @param string $downloadFormat
     * @return void
     */
    public function setDownloadFormat($downloadFormat)
    {
        $this->downloadFormat = $downloadFormat;
    }

}