(function () {
    window.onload = function () {
        var pickerwrap = document.getElementById ('picker-wrap');
        createAssetPicker (pickerwrap);
    };
    var languagekey = $ ('html').attr ('lang');
    var langScript = "lang." + languagekey + ".js";
    $.getScript ('../typo3conf/ext/celum_connect/Resources/Public/assetPicker/' + langScript);
}) (jQuery);

function createAssetPicker (pickerwrap) {
    picker = Celum.AssetPicker.create ({
        div: pickerwrap,
        container: 'picker-wrap',
        basePath: '../',
        jsConfigPath: '../config.js?'+(new Date()).getTime(),
        listeners: {
            transfer: function (id, selections) {
                var assets = [];
                selections.forEach (function (asset) {
                    var selectedDownloads = asset.selectedDownloads;
                    selectedDownloads.forEach (function (selectedDownload) {
                        var url = '';
                        asset.binaries.forEach(function (binary){
                            if(binary['format'] === selectedDownload.toString()){
                                url = binary['@odata.mediaReadLink'];
                            }
                        });
                        if(url !== ''){
                            assets.push ({
                                url: url,
                                filename: asset['id'] + '_' + selectedDownload + '.' + asset['fileInformation']['fileExtension'],
                                title: asset['name'],
                                fileCategory: asset['fileCategory'],
                                id: asset['id'],
                                downloadFormat: selectedDownload
                            });
                        }
                    });
                });
                saveAssets (assets);
            }
        }
    });
}

function saveAssets (assets) {
    var num = assets.length;
    var form = $ ('.file-form form');
    sendAssets (form, assets, num);
    showInfo (lang.loading1 + ' 1 ' + lang.of + ' ' + num + lang.loading2, 'info');
}

function sendAssets (form, assets, num) {
    document.getElementsByName ('tx_celumconnect_file_celumconnectassetpicker[newAsset][url]')[0].value = assets[num - 1].url;
    document.getElementsByName ('tx_celumconnect_file_celumconnectassetpicker[newAsset][filename]')[0].value = assets[num - 1].filename;
    document.getElementsByName ('tx_celumconnect_file_celumconnectassetpicker[newAsset][title]')[0].value = assets[num - 1].title;
    document.getElementsByName ('tx_celumconnect_file_celumconnectassetpicker[newAsset][fileCategory]')[0].value = assets[num - 1].fileCategory;
    document.getElementsByName ('tx_celumconnect_file_celumconnectassetpicker[newAsset][id]')[0].value = assets[num - 1].id;
    document.getElementsByName ('tx_celumconnect_file_celumconnectassetpicker[newAsset][downloadFormat]')[0].value = assets[num - 1].downloadFormat;
    jQuery.ajax ({
        type: 'post',
        url: $ (form).attr ('action'),
        data: $ (form).serialize (),
        success: function (response) {
            var responseObject = jQuery.parseJSON (response);
            var info;
            if (responseObject.status == 'success') {
                if (num > 1) {
                    info = lang.loading1 + " " + (assets.length - num + 2) + " " + lang.of + " " + assets.length + lang.loading2;
                    showInfo (info, 'info');
                    showMessage (responseObject.message, responseObject.status);
                    sendAssets (form, assets, num - 1)
                } else {
                    picker.clearSelection ();
                    info = lang.success;
                    showInfo (info, 'info');
                    showMessage (responseObject.message, responseObject.status);
                    setTimeout (hideMessage, 5000);
                    setTimeout (hideInfo, 5000);
                }
            } else if (responseObject.status == 'error') {
                hideInfo ();
                showMessage (responseObject.message, responseObject.status);
            }
        },
        error: function (error) {
            showMessage (error, 'error');
        }
    });
}

function showMessage (message, status) {
    $ ("#asset_picker_message_box p").text (message);
    $ ("#asset_picker_message_box").removeClass ();
    $ ("#asset_picker_message_box").addClass (status);
    $ ("#asset_picker_message_box").slideDown ();
}
function showInfo (message, status) {
    $ ("#asset_picker_info_box p").text (message);
    $ ("#asset_picker_info_box").removeClass ();
    $ ("#asset_picker_info_box").addClass (status);
    $ ("#asset_picker_info_box").slideDown ();
}
function hideInfo () {
    $ ("#asset_picker_info_box").slideUp ();
}

function hideMessage () {
    $ ("#asset_picker_message_box").slideUp ();
}